Subject: bug#5283: 23.1.90; If dbus session bus is not available, emacs is busily trying to contact it

From: Andreas Köhler <[email-masked]>
Date: Tue, 29 Dec 2009 18:56:24 +0100

In GNU Emacs 23.1.90.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.18.3)
  of 2009-12-29 on ubuntu
configured using `configure  '--prefix=/home/andi/dev/emacs/inst''

Git: 9a339f5040b089f97a4b5c86eefa3942b2e5eda4

Initially, I observed that emacs-snapshot from ubuntu karmic in a dtach 
session as server starts using 100% of the cpu when i logged out. It 
seemed to be trying to contact the dbus session bus all the time, even 
after I logged in again.

I tried to track this down a bit further, so now the info is:

- emacs built from the git repo (9a339f5), with dbus support
- log in
- emacs -Q --daemon --eval "(require 'tramp)"
- log out

-> emacs is eating the whole cpu, but also growing with about 100 MB per 
second of resident memory. As I needed to kill it very quickly, I am not 
sure whether the dbus_bus_get calls are still the root cause of the problem.